Bug 53738 - New port: gcipher: a simple encryption tool
Summary: New port: gcipher: a simple encryption tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-25 23:40 UTC by Shannon -jj Behrens
Modified: 2003-07-29 20:39 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (7.51 KB, text/plain)
2003-06-25 23:40 UTC, Shannon -jj Behrens
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shannon -jj Behrens 2003-06-25 23:40:08 UTC
This is a simple encryption tool to work with home-grown encryption algorithms.
It can run as either a GUI, a command-line application, or a network proxy.
Comment 1 jj 2003-06-26 22:49:49 UTC
These are updates per Jeremy Messenger.  Unfortunately, I can't test
this against STABLE since I'm not running STABLE.  It passes portlint,
though.

Best Regards,
-jj

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	bsd
#	bsd/files
#	bsd/files/patch-Const.py
#	bsd/files/patch-gcipher
#	bsd/files/patch-gcipher.desktop
#	bsd/Makefile
#	bsd/distinfo
#	bsd/pkg-descr
#	bsd/pkg-plist
#
echo c - bsd
mkdir -p bsd > /dev/null 2>&1
echo c - bsd/files
mkdir -p bsd/files > /dev/null 2>&1
echo x - bsd/files/patch-Const.py
sed 's/^X//' >bsd/files/patch-Const.py << 'END-of-bsd/files/patch-Const.py'
Xdiff -ur ../gcipher-1.0.orig/src/Const.py ./src/Const.py
X--- ../gcipher-1.0.orig/src/Const.py	Wed Jun 25 14:03:43 2003
X+++ ./src/Const.py	Wed Jun 25 14:05:59 2003
X@@ -9,4 +9,4 @@
X Read Help/Contents to learn how to use gcipher
X as a command line filter or as a network proxy."""
X AUTHORS = ["Shannon -jj Behrens <jjinux@yahoo.com>"]
X-GLADEDIR = "."
X+GLADEDIR = "/usr/X11R6/share/gnome/gcipher/lib"
END-of-bsd/files/patch-Const.py
echo x - bsd/files/patch-gcipher
sed 's/^X//' >bsd/files/patch-gcipher << 'END-of-bsd/files/patch-gcipher'
Xdiff -ur ../gcipher-1.0.orig/src/gcipher ./src/gcipher
X--- ../gcipher-1.0.orig/src/gcipher	Wed Jun 25 14:03:43 2003
X+++ ./src/gcipher	Wed Jun 25 14:06:14 2003
X@@ -1,10 +1,10 @@
X-#!/usr/bin/python
X+#!/usr/local/bin/python
X 
X """This is the main executable script."""
X 
X # Edit the path below if you need to port GCipher.
X import sys
X-# sys.path.append("/usr/share/gcipher/lib")
X+sys.path.append("/usr/X11R6/share/gnome/gcipher/lib")
X 
X from os import environ 
X from os.path import join
END-of-bsd/files/patch-gcipher
echo x - bsd/files/patch-gcipher.desktop
sed 's/^X//' >bsd/files/patch-gcipher.desktop << 'END-of-bsd/files/patch-gcipher.desktop'
Xdiff -ur ../gcipher-1.0.orig/src/gcipher.desktop ./src/gcipher.desktop
X--- ../gcipher-1.0.orig/src/gcipher.desktop	Wed Jun 25 15:07:51 2003
X+++ ./src/gcipher.desktop	Wed Jun 25 15:08:47 2003
X@@ -4,8 +4,8 @@
X Name[en_US.ISO8859-15]=GCipher
X Comment[en_US.ISO8859-15]=A simple encryption tool
X Exec=gcipher
X-Icon=/usr/share/pixmaps/gnome-lockscreen.png
X+Icon=/usr/X11R6/share/gnome/pixmaps/gnome-lockscreen.png
X Terminal=false
X Type=Application
X StartupNotify=true
X-Categories=GNOME;Application;Utility;X-Red-Hat-Base;
X+Categories=Application;Cryptography;
END-of-bsd/files/patch-gcipher.desktop
echo x - bsd/Makefile
sed 's/^X//' >bsd/Makefile << 'END-of-bsd/Makefile'
X# New ports collection makefile for:	gcipher
X# Date created:		25 June 2003
X# Whom:			Shannon -jj Behrens <jjinux@yahoo.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	gcipher
XPORTVERSION=	1.0
XCATEGORIES=	security gnome
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
X
XMAINTAINER=	jjinux@yahoo.com
XCOMMENT=	A simple encryption tool
X
XRUN_DEPENDS=	${PYTHON_SITELIBDIR}/gtk-2.0/gnome/uimodule.so:${PORTSDIR}/x11-toolkits/py-gnome2
X
XUSE_PYTHON=	yes
XUSE_X_PREFIX=	yes
XUSE_GNOME=	libgnomeui
X
XGCIPHER_PREFIX=	${PREFIX}/share/gnome/gcipher
X
XMAN1=	gcipher.1
X
Xdo-build:
X	(cd ${WRKSRC}/src; \
X	 ${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py .)
X
Xdo-install:
X	${MKDIR} \
X	    ${GCIPHER_PREFIX}/lib/cipher \
X	    ${GCIPHER_PREFIX}/lib/ciphergui \
X	    ${GCIPHER_PREFIX}/plugins/cipher \
X	    ${GCIPHER_PREFIX}/plugins/ciphergui
X
X	(cd ${WRKSRC}; \
X	 ${INSTALL_MAN} gcipher.1 ${PREFIX}/man/man1; \
X	 ${INSTALL_DATA} CONTRIB LICENSE README "${GCIPHER_PREFIX}")
X
X	(cd ${WRKSRC}/src; \
X	 ${INSTALL_SCRIPT} gcipher ${PREFIX}/bin/gcipher; \
X	 ${INSTALL_DATA} gcipher.desktop ${PREFIX}/share/gnome/applications; \
X	 for i in `find . -name '*.py' \
X		       -o -name '*.pyc' \
X		       -o -name '*.glade' \
X		       -o -name '*.gladep'`; do \
X		${INSTALL_DATA} "$$i" "${GCIPHER_PREFIX}/lib/$$i"; \
X	 done)
X
X	(cd ${WRKSRC}/plugins; \
X	 for i in `find . -name '*.py' \
X		       -o -name '*.glade' \
X		       -o -name '*.gladep'`; do \
X		${INSTALL_DATA} "$$i" "${GCIPHER_PREFIX}/plugins/$$i"; \
X	 done)
X
X.include <bsd.port.mk>
END-of-bsd/Makefile
echo x - bsd/distinfo
sed 's/^X//' >bsd/distinfo << 'END-of-bsd/distinfo'
XMD5 (gcipher-1.0.tar.gz) = b5600f7a5f2a9ae87b228a28ab17d0e9
END-of-bsd/distinfo
echo x - bsd/pkg-descr
sed 's/^X//' >bsd/pkg-descr << 'END-of-bsd/pkg-descr'
XThis is a simple encryption tool to work with home-grown encryption algorithms.
XIt can run as either a GUI, a command-line application, or a network proxy.
X
XWWW: http://gcipher.sourceforge.net
X
X- Shannon -jj Behrens
Xjjinux@yahoo.com
END-of-bsd/pkg-descr
echo x - bsd/pkg-plist
sed 's/^X//' >bsd/pkg-plist << 'END-of-bsd/pkg-plist'
Xbin/gcipher
Xshare/gnome/applications/gcipher.desktop
Xshare/gnome/gcipher/CONTRIB
Xshare/gnome/gcipher/LICENSE
Xshare/gnome/gcipher/README
Xshare/gnome/gcipher/lib/cipher/__init__.pyc
Xshare/gnome/gcipher/lib/cipher/Ceasar.py
Xshare/gnome/gcipher/lib/cipher/CharacterCipher.py
Xshare/gnome/gcipher/lib/cipher/Gie.py
Xshare/gnome/gcipher/lib/cipher/KeyedCipher.py
Xshare/gnome/gcipher/lib/cipher/Rot.py
Xshare/gnome/gcipher/lib/cipher/Tools.py
Xshare/gnome/gcipher/lib/cipher/Vigenere.py
Xshare/gnome/gcipher/lib/cipher/__init__.py
Xshare/gnome/gcipher/lib/cipher/KeyedCipher.pyc
Xshare/gnome/gcipher/lib/cipher/Vigenere.pyc
Xshare/gnome/gcipher/lib/cipher/CharacterCipher.pyc
Xshare/gnome/gcipher/lib/cipher/Tools.pyc
Xshare/gnome/gcipher/lib/cipher/Gie.pyc
Xshare/gnome/gcipher/lib/cipher/Ceasar.pyc
Xshare/gnome/gcipher/lib/cipher/Rot.pyc
Xshare/gnome/gcipher/lib/AutomaticClass.py
Xshare/gnome/gcipher/lib/Const.py
Xshare/gnome/gcipher/lib/GtkAttributesFacade.py
Xshare/gnome/gcipher/lib/LibGladeApplication.py
Xshare/gnome/gcipher/lib/MainCLI.py
Xshare/gnome/gcipher/lib/MainGUI.py
Xshare/gnome/gcipher/lib/Proxy.py
Xshare/gnome/gcipher/lib/gcipher.glade
Xshare/gnome/gcipher/lib/gcipher.gladep
Xshare/gnome/gcipher/lib/ciphergui/__init__.pyc
Xshare/gnome/gcipher/lib/ciphergui/Ceasar.py
Xshare/gnome/gcipher/lib/ciphergui/CipherGUIList.py
Xshare/gnome/gcipher/lib/ciphergui/Gie.py
Xshare/gnome/gcipher/lib/ciphergui/KeyDialog.py
Xshare/gnome/gcipher/lib/ciphergui/Rot.py
Xshare/gnome/gcipher/lib/ciphergui/Vigenere.py
Xshare/gnome/gcipher/lib/ciphergui/__init__.py
Xshare/gnome/gcipher/lib/ciphergui/rot.glade
Xshare/gnome/gcipher/lib/ciphergui/rot.gladep
Xshare/gnome/gcipher/lib/ciphergui/vigenere.glade
Xshare/gnome/gcipher/lib/ciphergui/vigenere.gladep
Xshare/gnome/gcipher/lib/ciphergui/CipherGUIList.pyc
Xshare/gnome/gcipher/lib/ciphergui/Vigenere.pyc
Xshare/gnome/gcipher/lib/ciphergui/KeyDialog.pyc
Xshare/gnome/gcipher/lib/ciphergui/Gie.pyc
Xshare/gnome/gcipher/lib/ciphergui/Ceasar.pyc
Xshare/gnome/gcipher/lib/ciphergui/Rot.pyc
Xshare/gnome/gcipher/lib/Const.pyc
Xshare/gnome/gcipher/lib/MainCLI.pyc
Xshare/gnome/gcipher/lib/AutomaticClass.pyc
Xshare/gnome/gcipher/lib/MainGUI.pyc
Xshare/gnome/gcipher/lib/LibGladeApplication.pyc
Xshare/gnome/gcipher/lib/GtkAttributesFacade.pyc
Xshare/gnome/gcipher/lib/Proxy.pyc
Xshare/gnome/gcipher/plugins/cipher/Identity.py
Xshare/gnome/gcipher/plugins/ciphergui/Identity.py
Xshare/gnome/gcipher/plugins/ciphergui/PluginCipherGUIList.py
X@dirrm share/gnome/gcipher/lib/cipher
X@dirrm share/gnome/gcipher/lib/ciphergui
X@dirrm share/gnome/gcipher/lib
X@dirrm share/gnome/gcipher/plugins/cipher
X@dirrm share/gnome/gcipher/plugins/ciphergui
X@dirrm share/gnome/gcipher/plugins
X@dirrm share/gnome/gcipher
END-of-bsd/pkg-plist
exit
Comment 2 kbyanc freebsd_committer 2003-07-29 20:39:09 UTC
State Changed
From-To: open->closed

Committed.  Thanks!